#include <print>
#include "tspez_01.h"

// main() Funktion
int main()
{
    // int-Werte aufsummieren und ausgeben
    Sum<int> intSum;
    for (int index = 0; index < 5; index++)
        intSum.Add(index);
    std::println("int-Summe (0..4): {}", intSum.GetSum());

    // C-Strings aufsummieren und ausgeben
    const char *text1 = "eins,", *text2 = "zwei,", *text3 = "drei,";
    Sum<const char*> charSum;
    std::println("Addition von {}{}{}", text1, text2, text3);
    charSum.Add(text1);
    charSum.Add(text2);
    charSum.Add(text3);
    std::println("char*-Summe: {}", charSum.GetSum());
}
